org.modeshape.jcr.query.model

## Class ChildNode

- java.lang.Object
- - org.modeshape.jcr.query.model.ChildNode

- All Implemented Interfaces:
    Serializable, ChildNode, Constraint, LanguageObject, Visitable

      @Immutable
      public class ChildNode
      extends Object
      implements Constraint, ChildNode

  A constraint requiring that the selected node is a child of the node reachable by the supplied absolute path
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChildNode(SelectorName selectorName, String parentPath)` Create a constraint requiring that the node identified by the selector is a child of the node reachable by the supplied absolute path.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
    `boolean` | `equals(Object obj)`
    `String` | `getParentPath()`
    `String` | `getSelectorName()`
    `int` | `hashCode()`
    `SelectorName` | `selectorName()` Get the name of the selector representing the child
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChildNode

          public ChildNode(SelectorName selectorName,
                   String parentPath)

      Create a constraint requiring that the node identified by the selector is a child of the node reachable by the supplied absolute path.
      Parameters:
        `selectorName` - the name of the selector
        `parentPath` - the absolute path to the parent

  - ### Method Detail

    - #### selectorName

          public final SelectorName selectorName()

      Get the name of the selector representing the child
      Returns:
        the selector name; never null

    - #### getSelectorName

          public String getSelectorName()

      Specified by:
        `getSelectorName` in interface `ChildNode`

    - #### getParentPath

          public final String getParentPath()

      Specified by:
        `getParentPath` in interface `ChildNode`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### accept

          public void accept(Visitor visitor)

      Description copied from interface: `Visitable`
      Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
      Specified by:
        `accept` in interface `Visitable`
      Parameters:
        `visitor` - the visitor; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.